Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOP::MultipleComponentProfile Class Reference

`#include <IOP_IORC.h>`

Inheritance diagram for IOP::MultipleComponentProfile:

[legend]
Collaboration diagram for IOP::MultipleComponentProfile:

[legend]
List of all members.

## Public Types
typedef MultipleComponentProfile_var | _var_type
## Public Methods
| MultipleComponentProfile (void)
| MultipleComponentProfile (CORBA::ULong max)
| MultipleComponentProfile (CORBA::ULong max, CORBA::ULong length, TaggedComponent *buffer, CORBA::Boolean release=0)
| MultipleComponentProfile (const MultipleComponentProfile &)
| ~MultipleComponentProfile (void)
## Static Public Methods
void | _tao_any_destructor (void *)

## Member Typedef Documentation

typedef MultipleComponentProfile_var IOP::MultipleComponentProfile::_var_type

## Constructor & Destructor Documentation

IOP::MultipleComponentProfile::MultipleComponentProfile | ( | void |  | ) |

IOP::MultipleComponentProfile::MultipleComponentProfile | ( | CORBA::ULong | max | ) |

IOP::MultipleComponentProfile::MultipleComponentProfile | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | TaggedComponent * | buffer,
|  | CORBA::Boolean | release = 0
| ) |

IOP::MultipleComponentProfile::MultipleComponentProfile | ( | const MultipleComponentProfile & |  | ) |

IOP::MultipleComponentProfile::~MultipleComponentProfile | ( | void |  | ) |

## Member Function Documentation

void IOP::MultipleComponentProfile::_tao_any_destructor | ( | void * |  | ) | `[static]`

The documentation for this class was generated from the following files:

- IOP_IORC.h
- IOP_IORC.cpp